GNU bug report logs - #48664
28.0.50; gnus stuck with error: (wrong-type-argument number-or-marker-p nil)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj@HIDDEN>; dated Wed, 26 May 2021 07:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48664 <at> debbugs.gnu.org:


Received: (at 48664) by debbugs.gnu.org; 28 May 2021 05:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 28 01:27:16 2021
Received: from localhost ([127.0.0.1]:53462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmV1f-00065m-VE
	for submit <at> debbugs.gnu.org; Fri, 28 May 2021 01:27:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lmV1e-00065a-EB
 for 48664 <at> debbugs.gnu.org; Fri, 28 May 2021 01:27:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JTwcG+wpXcIveQKPkVMGGQuDcyHcIRpuKnSuJMQcdxE=; b=RWicrCgZ/8Lrqk08mTSLoXaYBS
 ElPO/W4IQ4Uja2BbtcMHPqJePeC8LElcVyfQf3eXlbvb81KB9my7ul1vqxt7lEhsUL0OBb/YyL+jo
 AwdcZu/e4OXBU/3RXziyKevU7dWm5GMQzGRUfYGjKprzidqLLWB684lSnh/G7AtHVRFg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lmV1V-0005MV-4o; Fri, 28 May 2021 07:27:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 48664 <at> debbugs.gnu.org
Subject: Re: bug#48664: 28.0.50; gnus stuck with error: (wrong-type-argument
 number-or-marker-p nil)
References: <m2r1hu0wn1.fsf@HIDDEN>
X-Now-Playing: The Residents's _The King & Eye: RMX_: "A Fool such as I"
Date: Fri, 28 May 2021 07:27:04 +0200
In-Reply-To: <m2r1hu0wn1.fsf@HIDDEN> (Pankaj Jangid's message of
 "Wed, 26 May 2021 13:11:54 +0530")
Message-ID: <87tumnwhqv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: > Debugger
 entered--Lisp error: (wrong-type-argument number-or-marker-p nil) > <=(nil
 2) > gnus-get-unread-articles(2 t) Try loading the uncompiled version of
 gnus-start.el -- that'll give a more detailed backtrace. 
 Content analysis details:   (-1.8 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 1.0 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: codeisgreat.org]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: codeisgreat.org]
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 48664
Cc: Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   <=(nil 2)
>   gnus-get-unread-articles(2 t)

Try loading the uncompiled version of gnus-start.el -- that'll give a
more detailed backtrace.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48664; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2021 19:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 15:15:31 2021
Received: from localhost ([127.0.0.1]:52811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmLTf-0000Jp-Df
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 15:15:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:40418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lmLTe-0000Ji-1z
 for submit <at> debbugs.gnu.org; Thu, 27 May 2021 15:15:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52244)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lmLTd-0006km-Tf
 for bug-gnu-emacs@HIDDEN; Thu, 27 May 2021 15:15:29 -0400
Received: from ciao.gmane.io ([116.202.254.214]:59620)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lmLTF-0003fp-A4
 for bug-gnu-emacs@HIDDEN; Thu, 27 May 2021 15:15:29 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lmLTB-000636-Tb
 for bug-gnu-emacs@HIDDEN; Thu, 27 May 2021 21:15:01 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Julien Cubizolles <j.cubizolles@HIDDEN>
Subject: Re: bug#48664: closed (It is working)
Date: Thu, 27 May 2021 09:54:29 +0200
Message-ID: <87v974lih6.fsf@HIDDEN>
References: <m21r9tzp1p.fsf@HIDDEN> <m2r1hu0wn1.fsf@HIDDEN>
 <handler.48664.D48664.16220302066697.notifdone <at> debbugs.gnu.org>
 <m2pmxcpzhm.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:PZSxHhcqXFal0gFrKWnQtA1VH2s=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 1
X-Spam_score: 0.1
X-Spam_bar: /
X-Spam_report: (0.1 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_06_12=1.543,
 FREEMAIL_FORGED_FROMDOMAIN=0.25, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Again got the same error message on latest build. So I had to resort to
> yesterday’s build. But my suspecion is that this is related to my local
> environment. May be some issue in .newsrc.eld. But I am not sure. I’ll
> try to isolate the cause and then report.
>
> commit 7f11dea66298c2c9aeccab2b542ee8e73346f09f
> (HEAD -> master, origin/master)


I'm experiencing the exact same problem with the latest build, even with
emacs -Q.

-- 
Julien Cubizolles





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48664; Package emacs. Full text available.

Message received at 48664 <at> debbugs.gnu.org:


Received: (at 48664) by debbugs.gnu.org; 27 May 2021 04:33:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 00:33:34 2021
Received: from localhost ([127.0.0.1]:50432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lm7iA-0006Xq-Dz
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 00:33:34 -0400
Received: from mail-pg1-f170.google.com ([209.85.215.170]:39829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1lm7i9-0006Xf-Gd
 for 48664 <at> debbugs.gnu.org; Thu, 27 May 2021 00:33:33 -0400
Received: by mail-pg1-f170.google.com with SMTP id v14so2749598pgi.6
 for <48664 <at> debbugs.gnu.org>; Wed, 26 May 2021 21:33:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=scFv8z6rLU7LLFFEGnYyfvew7wjLm2b6HuxC4KoUMDc=;
 b=oPT8c4vMdNs8RQz9WKnFXVC/k8hab7p5YjCQZjtph6ns5Ulq1yg2+7NYSieWDPQsk2
 c0r6WkRJKtvI9zpe0K4kSkE+9ZfpPv93ZfXzYi43bPMw02fy+OoYjKCBtaYw/kMrlP2A
 7ErfhF5xEfl/lfXKrSuM2Dbj051b8NsonEDxbL49euEVsgnuRdDCVh0p2D29t6cGNloL
 HCrf1pdPtkSkk/r3MsNEbe6KbixOIrgMk8UUz37R5LcBWjYRIRkcqavGLJ1kT+SCX40L
 hXotJL/mRZMTXwWqXutwcz1RADHwScYlkSb5b6YBlb9+17Ld8Vm1ZAghvTOTJ0oO23B1
 5szw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=scFv8z6rLU7LLFFEGnYyfvew7wjLm2b6HuxC4KoUMDc=;
 b=b8Hnr/tKcceV/lsONb8AO21k214X72AJVJb+BlGPLAUCl+N2r2/UbE7GfuAV9pxrqh
 o4mnEOcAswkauAMZn9TFvnlTeDpW4RRR2FqByL9VD+BRON74UxnAWyZ8R1mjw/KPNUuu
 tFxszzAYwhOzHJVqITAv8UCXV2ftnw2Zk99JoegD6IEXcigWJNJngsc6WZZAixE1ev5A
 03A6SE+mkQictIVo0xv04H/eqv7MgLv1JvA6fmB1l/HtOq4lb4Bwd3HO0tEubfRLkJlQ
 7St4wgwVp7Vc7oQrSpwThVX7GrfnlVLxbIMESVrJzNqdwRVJjUHZHWmRgV5pBUJWiDUs
 5/0g==
X-Gm-Message-State: AOAM530q66GmjYhU8nIGSKjQlZRnmmHyqwzGdo5f56I/oXvi6+gEyOC2
 JVPoF8XNzGk8XTUHO9IaQVMK4XoURX8aBQ==
X-Google-Smtp-Source: ABdhPJwxrdvrK76Og3FVBoT+b2rqfwYlqzXoWXw86XDnlfq1QGj2Zm4tBbnNscdPUvCWncAL7tAjWA==
X-Received: by 2002:a63:3ec4:: with SMTP id l187mr1938737pga.423.1622090007609; 
 Wed, 26 May 2021 21:33:27 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:70a7:9862:32fd:dbf3:5ed2])
 by smtp.gmail.com with ESMTPSA id l126sm554673pga.41.2021.05.26.21.33.26
 for <48664 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 May 2021 21:33:27 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: 48664 <at> debbugs.gnu.org
Subject: Re: bug#48664: closed (It is working)
References: <m21r9tzp1p.fsf@HIDDEN> <m2r1hu0wn1.fsf@HIDDEN>
 <handler.48664.D48664.16220302066697.notifdone <at> debbugs.gnu.org>
Date: Thu, 27 May 2021 10:03:25 +0530
In-Reply-To: <handler.48664.D48664.16220302066697.notifdone <at> debbugs.gnu.org>
 (GNU bug Tracking System's message of "Wed, 26 May 2021 11:57:02
 +0000")
Message-ID: <m2pmxcpzhm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 48664
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Again got the same error message on latest build. So I had to resort to
yesterday=E2=80=99s build. But my suspecion is that this is related to my l=
ocal
environment. May be some issue in .newsrc.eld. But I am not sure. I=E2=80=
=99ll
try to isolate the cause and then report.

commit 7f11dea66298c2c9aeccab2b542ee8e73346f09f
(HEAD -> master, origin/master)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48664; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 48664-done <at> debbugs.gnu.org:


Received: (at 48664-done) by debbugs.gnu.org; 26 May 2021 11:56:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 26 07:56:46 2021
Received: from localhost ([127.0.0.1]:47770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lls9V-0001jx-RK
	for submit <at> debbugs.gnu.org; Wed, 26 May 2021 07:56:45 -0400
Received: from mail-pf1-f178.google.com ([209.85.210.178]:45755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1lls9T-0001ji-P1
 for 48664-done <at> debbugs.gnu.org; Wed, 26 May 2021 07:56:44 -0400
Received: by mail-pf1-f178.google.com with SMTP id d16so721176pfn.12
 for <48664-done <at> debbugs.gnu.org>; Wed, 26 May 2021 04:56:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=JZz7YiLG5HZT7+VoDsQFS6ciAmTrj9LCmJOiuxkoH0M=;
 b=fUHq07gKTT5hPuZp50iQUdsDhJ+f/cxvYdE99Hl0I8Q2EhlhaTKsYeGq2QB1ebtUMQ
 1VLplAwtbEN3dLseTob/P/BOWusOO6cPaoZLWmhwvnARsamdNMLRlGPppt9FAmZKL+nL
 8vq7FUBPWZbpXXFFbVbIOm3BKnaGSMSwE2MUUiIx5YBPizY/40deWgUuvxfHbfWkD4/y
 xZtCxvsvsZbnqZafDt5S7hubQy27BJJkZ36F9XCMmML0WcamCzXT+LEDXivbPxpJFfeu
 OVlEV8qwX9l1lAv982v9OI94FPNiomYo7Qz36kBHOwvlKfTEwNHJdGi1bdbIa+0nD8Cd
 vvug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=JZz7YiLG5HZT7+VoDsQFS6ciAmTrj9LCmJOiuxkoH0M=;
 b=aGG4E8FdLmSnhst0jbb4B7U7YXLfx9Pghyy4BA1vhYd3l9CHCli+2Ca0MqJTDPREHH
 RZSZQzi6AHDmkgPOcAbs4QUZv6/n1n+4o7Qk9J2COzTyBONLkwffrt3sfboR7SIPCqJD
 3VA/H4MOx9hEnzz83XE17oRv3ZAER6gR8h7b6MXmKdTVOU7NAoIypvfDIp8f+TLiV7Ci
 7l6d90mJ1GFGGWRnuLIfH0o9qw1HuOHBFSLCX4f7J3VswKe49cL9T3/Oh7dB9j84WLE5
 X99bXh/xPXb9aSPVqfd6QVdu0mzcFQGFfxsdOdLA0T4R0QvDfMWZrfce0cqxmYu0u1LL
 WJug==
X-Gm-Message-State: AOAM531qv9mUGQ80sKouY0BYUdSk2rC1kDIkNM3MXSjNJ/fchSxfV/pY
 FZxG1O/YvnGoUJRXjgAeck3Eb1aCfqr+XA==
X-Google-Smtp-Source: ABdhPJwL7pfkhuGUwkyZbM80KcjUSIaIQHyq8MBZG8Kv8Uc131B1Gky2RQ3IjTqSg6qbWxf+x7p0Hw==
X-Received: by 2002:a05:6a00:124d:b029:2e7:d663:e5bd with SMTP id
 u13-20020a056a00124db02902e7d663e5bdmr19976838pfi.21.1622030197503; 
 Wed, 26 May 2021 04:56:37 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:70a7:c417:5763:271f:e5f7])
 by smtp.gmail.com with ESMTPSA id l5sm9634670pff.20.2021.05.26.04.56.36
 for <48664-done <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 May 2021 04:56:37 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: 48664-done <at> debbugs.gnu.org
Subject: It is working
Date: Wed, 26 May 2021 17:26:34 +0530
Message-ID: <m21r9tzp1p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 48664-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

1. I opened Emacs and Gnus using an old commit
2. Then I checkout out master again and git pulled again
(5a762c946eac106e60bb55d8175b32decdbf7d5e)
3. Built and launched Emacs/Gnus again.

It worked.




Notification sent to Pankaj Jangid <pankaj@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Pankaj Jangid <pankaj@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 May 2021 07:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 26 03:42:08 2021
Received: from localhost ([127.0.0.1]:47544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lloB6-00019Z-84
	for submit <at> debbugs.gnu.org; Wed, 26 May 2021 03:42:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:38566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1lloB4-00019S-Cz
 for submit <at> debbugs.gnu.org; Wed, 26 May 2021 03:42:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36906)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1lloB4-0002YV-2x
 for bug-gnu-emacs@HIDDEN; Wed, 26 May 2021 03:42:06 -0400
Received: from mail-pg1-x52b.google.com ([2607:f8b0:4864:20::52b]:39850)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1lloB1-0006qL-P6
 for bug-gnu-emacs@HIDDEN; Wed, 26 May 2021 03:42:05 -0400
Received: by mail-pg1-x52b.google.com with SMTP id v14so236863pgi.6
 for <bug-gnu-emacs@HIDDEN>; Wed, 26 May 2021 00:42:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:mail-followup-to:date:message-id:mime-version;
 bh=c42j3e+Ai12X5u9HkBE+w2ZvkPIZHyypnBsqqXPDpwA=;
 b=tdUj1ehImP690QacDJ5EA6wpG/EhW3RryJqxr7MK6mbifEOgKNXE+c3MopniXiRamX
 79jGE9g0UluqLkT9KMcZrJOjHO527HPvI64M/0DNmtagLNMEsxHIljVL+3JjCJvFLy/V
 YrJvImfStM1QOMqrNAmUJF89okjtWopiPrWM3FFM0ZAVRyhth2Si1ppmvvn7RGuEAlOR
 TRvtis74cysQ+BNIzJyNLs8re09X802cbM3p4hiCTI7LYxzvksJ/05vsrzTm4SwPcnAb
 z/vE1f4NiZwKJr1Sq6USv/kgvbParFwUQl5k5Z61awKbeWs4rQzqj1DckMnryKD7ML7Q
 u2hg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:mail-followup-to:date:message-id
 :mime-version;
 bh=c42j3e+Ai12X5u9HkBE+w2ZvkPIZHyypnBsqqXPDpwA=;
 b=jzQ04UlI6j/Vg8aPIBcAAhvZZjWCxnAiRXDuU7a348XpLUTmzssp7V0ulfSVuiytJ5
 zVWKoBkP6kiGGNfWJt9cem2ZCIgn8YPHBtudMSQSvgTapihXwujMdgeaeQkP7Qr8uH1l
 7LujNlBF7rewCOs48p0YG7SoCPi9U3/ynvesUTQrjM6wZlpWiMa+POf8bXA9ZYSwLFS6
 m8vSODelSV6qjGvoEj+bG8ToDBZMQLaLnBdtGhZm81HfA13xpagQuWg1IxKn1EHuy4uI
 w77tf6trfWaG5bLwQ0bFkUyBx8p+boLAxfC5yh4ZmUbcZdg8eZEWvKJpwd8YRGZ0PGMh
 rOXA==
X-Gm-Message-State: AOAM530dRKfQy9Soka0WXPdlV/ZoqI37DlTxPe2sOtq89GhxeiXVvyRq
 /SZOdka8eAqCxGMO9worA+xD3Gt3UpVeSg==
X-Google-Smtp-Source: ABdhPJzlRm3UK5zT1w+ErSks141hv+EKAK4H4YZ5v7jYu+akTI0blV1VHl5xns3D19Pt3SnlbyvzxA==
X-Received: by 2002:a62:8c05:0:b029:290:81ab:a936 with SMTP id
 m5-20020a628c050000b029029081aba936mr33170460pfd.69.1622014921299; 
 Wed, 26 May 2021 00:42:01 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:70a7:c417:5763:271f:e5f7])
 by smtp.gmail.com with ESMTPSA id 84sm16759252pgh.87.2021.05.26.00.41.59
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 May 2021 00:42:00 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; gnus stuck with error: (wrong-type-argument
 number-or-marker-p nil)
Mail-Followup-To: bug-gnu-emacs@HIDDEN
Date: Wed, 26 May 2021 13:11:54 +0530
Message-ID: <m2r1hu0wn1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=2607:f8b0:4864:20::52b;
 envelope-from=pankaj@HIDDEN; helo=mail-pg1-x52b.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


I tried this on master (f4dc646e0d7fb673f3149836bb7299fba9539e80).

Gnus was stuck with the error mentioned in subject. So I tried
gnus-no-server. But this also give same error. 

Command => M-x gnus-no-server

Output =>
--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  <=(nil 2)
  gnus-get-unread-articles(2 t)
  gnus-setup-news(nil 2 t)
  #f(compiled-function () #<bytecode -0x19b8027b7c7a8343>)()
  gnus-1(2 t nil)
  gnus(2 t nil)
  gnus-no-server-1(nil nil)
  gnus-no-server(nil)
  funcall-interactively(gnus-no-server nil)
  call-interactively(gnus-no-server record nil)
  command-execute(gnus-no-server record)
  execute-extended-command(nil "gnus-no-server" nil)
  funcall-interactively(execute-extended-command nil "gnus-no-server" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)
--8<---------------cut here---------------end--------------->8---



In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.5.0, NS appkit-2022.50 Version 11.4 (Build 20F71))
 of 2021-05-26 built on mb2.local
Repository revision: c60d707f2cc62b4cbe7f9c29d6ff9c2ae0277f9b
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.4

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY
KQUEUE NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LC_CTYPE: UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  flymake-mode: t
  electric-pair-mode: t
  savehist-mode: t
  desktop-save-mode: t
  shell-dirtrack-mode: t
  direnv-mode: t
  TeX-PDF-mode: t
  override-global-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t
  hs-minor-mode: t

Load-path shadows:
None found.

Features:
(shadow sort flyspell ispell ol-eww eww xdg url-queue mm-url ol-rmail
ol-mhe ol-irc ol-info ol-gnus ol-docview doc-view jka-compr image-mode
exif ol-bibtex bibtex ol-bbdb ol-w3m mail-extr emacsbug nnselect
gnus-search nndraft nnmh utf-7 nnml nnfolder epa-file gnutls
network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual
nntp gnus-cache .gnus ebdb-message sendmail ebdb-gnus gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range message
rmc puny dired dired-loaddefs rfc822 mml mml-sec epa derived epg
epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231 gmm-utils
mailheader gnus-win gnus nnheader gnus-util rmail rmail-loaddefs rfc2047
rfc2045 ietf-drums mail-utils mm-util mail-prsvr wid-edit sh-script smie
executable checkdoc vc-git flymake-proc flymake warnings elec-pair
markdown-mode color init savehist desktop frameset ob-plantuml ob-sql
ob-css ob-js ob-java ob-C cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs ob-python python tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
shell parse-time iso8601 ls-lisp ob-R modus-operandi-theme modus-themes
ebdb-mua ebdb-com ebdb-format ebdb mailabbrev eieio-opt speedbar ezimage
dframe eieio-base pcase timezone direnv diff-mode dash po-mode sesman vc
vc-dispatcher edmacro kmacro clojure-mode lisp-mnt align imenu
rust-utils thingatpt rust-mode rx rust-rustfmt rust-playpen rust-compile
compile text-property-search rust-cargo org-mime ox-org ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities time-date org-version ob-emacs-lisp ob-core ob-eval
org-table ol org-keys org-compat advice org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs noutline outline
delight hideshow tex crm texmathp cl-extra help-mode finder-inf
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core server avoid
paren cus-load tex-site info early-init package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 750397 40036)
 (symbols 48 42490 3)
 (strings 32 180927 13908)
 (string-bytes 1 5543510)
 (vectors 16 77202)
 (vector-slots 8 1702358 75067)
 (floats 8 476 91)
 (intervals 56 1155 0)
 (buffers 992 41))

-- 
Regards,
Pankaj Jangid




Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48664; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 May 2021 05:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.